package com.ai.da.service;

import com.ai.da.mapper.primary.entity.APIGenerate;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

public interface APIGenerateService extends IService<APIGenerate> {

    void addAPIGenerateRecordAsync(Long accountId, String taskId, String function, String modelName, String status);

    void updateAPIGenerateStatusAsync(String taskId, String status);

    List<APIGenerate> getPendingTaskByStatus(String modelName);
}
